Update milestone strategy

Deprecated
View as Markdown

Enterprise feature

Overwrites existing strategy configuration for the strategy referenced by the id

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

templateIdstringRequired
milestoneIdstringRequired
strategyIdstringRequired

Response

#/components/schemas/releasePlanMilestoneStrategySchema

idstring
The milestone strategy's ID. Milestone strategy IDs are ulids.
milestoneIdstring
The ID of the milestone that this strategy belongs to.
sortOrderdouble
The order of the strategy in the list
namestring
The name of the strategy type
strategyNamestringDeprecated
The name of the strategy type
titlestring or null
A descriptive title for the strategy
parametersmap from strings to strings
An object containing the parameters for the strategy
constraintslist of objects

A list of the constraints attached to the strategy. See https://docs.getunleash.io/concepts/activation-strategies#constraints

variantslist of objects
Strategy level variants
segmentslist of doubles
Ids of segments to use for this strategy
disabledboolean or null
A toggle to disable the strategy. defaults to false. Disabled strategies are not evaluated or returned to the SDKs

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error